import * as $dara from '@darabonba/typescript';
import { DeleteDeploymentSetResponseBody } from "./DeleteDeploymentSetResponseBody";
export declare class DeleteDeploymentSetResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteDeploymentSetResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
